# Air Quality API

The Air Quality API.

- [REST Resource: v1.currentConditions](https://developers.google.com/maps/documentation/air-quality/reference/rest#v1.currentConditions)
- [REST Resource: v1.forecast](https://developers.google.com/maps/documentation/air-quality/reference/rest#v1.forecast)
- [REST Resource: v1.history](https://developers.google.com/maps/documentation/air-quality/reference/rest#v1.history)
- [REST Resource: v1.mapTypes.heatmapTiles](https://developers.google.com/maps/documentation/air-quality/reference/rest#v1.mapTypes.heatmapTiles)

## Service: airquality.googleapis.com

To call this service, we recommend that you use the Google-provided [client libraries](https://cloud.google.com/apis/docs/client-libraries-explained). If your application needs to use your own libraries to call this service, use the following information when you make the API requests.

### Service endpoint

A [service endpoint](https://cloud.google.com/apis/design/glossary#api_service_endpoint) is a base URL that specifies the network address of an API service. One service might have multiple service endpoints. This service has the following service endpoint and all URIs below are relative to this service endpoint:

- `https://airquality.googleapis.com`

## REST Resource: [v1.currentConditions](https://developers.google.com/maps/documentation/air-quality/reference/rest/v1/currentConditions)

| Methods ||
|---|---|
| `https://developers.google.com/maps/documentation/air-quality/reference/rest/v1/currentConditions/lookup` | `POST /v1/currentConditions:lookup` The Current Conditions endpoint provides hourly air quality information in more than 100 countries, up to a 500 x 500 meters resolution. |

## REST Resource: [v1.forecast](https://developers.google.com/maps/documentation/air-quality/reference/rest/v1/forecast)

| Methods ||
|---|---|
| `https://developers.google.com/maps/documentation/air-quality/reference/rest/v1/forecast/lookup` | `POST /v1/forecast:lookup` Returns air quality forecast for a specific location for a given time range. |

## REST Resource: [v1.history](https://developers.google.com/maps/documentation/air-quality/reference/rest/v1/history)

| Methods ||
|---|---|
| `https://developers.google.com/maps/documentation/air-quality/reference/rest/v1/history/lookup` | `POST /v1/history:lookup` Returns air quality history for a specific location for a given time range. |

## REST Resource: [v1.mapTypes.heatmapTiles](https://developers.google.com/maps/documentation/air-quality/reference/rest/v1/mapTypes.heatmapTiles)

| Methods ||
|---|---|
| `https://developers.google.com/maps/documentation/air-quality/reference/rest/v1/mapTypes.heatmapTiles/lookupHeatmapTile` | `GET /v1/mapTypes/{mapType}/heatmapTiles/{zoom}/{x}/{y}` Returns a bytes array containing the data of the tile PNG image. |